<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__rx.html">pdts_rx</a></li><li class="navelem"><a class="el" href="classpdts__rx_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__rx_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ab420c8ab236dc4c973f8a5ae6dccbd65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab420c8ab236dc4c973f8a5ae6dccbd65"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ab420c8ab236dc4c973f8a5ae6dccbd65">PROCESS_13</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7bc9a0c64529b658f4ba141aaa234427"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7bc9a0c64529b658f4ba141aaa234427"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a7bc9a0c64529b658f4ba141aaa234427">PROCESS_14</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a8ee64d1327298358d5f75867875249ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ee64d1327298358d5f75867875249ca"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a8ee64d1327298358d5f75867875249ca">PROCESS_15</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aae9b98e25b80f11c0a2d412223b4fe8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae9b98e25b80f11c0a2d412223b4fe8f"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#aae9b98e25b80f11c0a2d412223b4fe8f">PROCESS_16</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0bc6f8e44a725dc86410c97fe3b0c5e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0bc6f8e44a725dc86410c97fe3b0c5e9"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a0bc6f8e44a725dc86410c97fe3b0c5e9">PROCESS_17</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">pkt_end</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">csum</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">actr</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sctr</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">state</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ka</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ks</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">slen</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a026925c8dec836bfa0e4c7a07afbdee9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a026925c8dec836bfa0e4c7a07afbdee9"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a026925c8dec836bfa0e4c7a07afbdee9">PROCESS_18</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7a7d1a64fae703d760f25bb27af1e065"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a7d1a64fae703d760f25bb27af1e065"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a7a7d1a64fae703d760f25bb27af1e065">PROCESS_78</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4b46ca11df0819d7539c6d75d426474c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b46ca11df0819d7539c6d75d426474c"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a4b46ca11df0819d7539c6d75d426474c">PROCESS_79</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a025e3a14aebd096c1404070227a70cc7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a025e3a14aebd096c1404070227a70cc7"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a025e3a14aebd096c1404070227a70cc7">PROCESS_80</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae4629967e39e5f300776852badcec8f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4629967e39e5f300776852badcec8f2"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ae4629967e39e5f300776852badcec8f2">PROCESS_81</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac58aceae46c910fd7da49f4aa6beff1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac58aceae46c910fd7da49f4aa6beff1e"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ac58aceae46c910fd7da49f4aa6beff1e">PROCESS_82</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">pkt_end</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">csum</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">actr</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sctr</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">state</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ka</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ks</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">slen</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a237bb020365da7f80560fee0a315f786"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a237bb020365da7f80560fee0a315f786"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a237bb020365da7f80560fee0a315f786">PROCESS_83</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a704fae4db085d33b8145859aeda1635b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a704fae4db085d33b8145859aeda1635b"></a>
<b><a class="el" href="classpdts__rx_1_1rtl.html#a704fae4db085d33b8145859aeda1635b">state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">START</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ASYNC</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SYNC</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ERRS</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a499e7824037af983d0524a98081e7f0b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a499e7824037af983d0524a98081e7f0b"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a499e7824037af983d0524a98081e7f0b">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae00d725e2e2d11fefaf8de8b4389eced"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae00d725e2e2d11fefaf8de8b4389eced"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ae00d725e2e2d11fefaf8de8b4389eced">actr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af3a1fcb986f2b20d2a658b6340ceaac3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3a1fcb986f2b20d2a658b6340ceaac3"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#af3a1fcb986f2b20d2a658b6340ceaac3">sctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac1fa91a757312727dcb0ff46a06404db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1fa91a757312727dcb0ff46a06404db"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ac1fa91a757312727dcb0ff46a06404db">slen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0b65f8d085d86dd276b266bad6edcffb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b65f8d085d86dd276b266bad6edcffb"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a0b65f8d085d86dd276b266bad6edcffb">slen_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afd342040b281d546cea0e3c8ce9a04aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd342040b281d546cea0e3c8ce9a04aa"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#afd342040b281d546cea0e3c8ce9a04aa">ts</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab0448169744fef5f7e75a90b51c2f1e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0448169744fef5f7e75a90b51c2f1e5"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ab0448169744fef5f7e75a90b51c2f1e5">ka</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:accc924c51d556d2d3f096c9f7007b757"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="accc924c51d556d2d3f096c9f7007b757"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#accc924c51d556d2d3f096c9f7007b757">ks</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3a4b56f5f09f36fcc2726c28c2bfdf8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a4b56f5f09f36fcc2726c28c2bfdf8a"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a3a4b56f5f09f36fcc2726c28c2bfdf8a">a_match</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac2fdc215100899fc711dd445b004cd8b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2fdc215100899fc711dd445b004cd8b"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ac2fdc215100899fc711dd445b004cd8b">s_match</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab0e15a882479bae0db168e0f10096004"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0e15a882479bae0db168e0f10096004"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ab0e15a882479bae0db168e0f10096004">s_match_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab3e8ca6b56bd90dac6770e8490330e3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3e8ca6b56bd90dac6770e8490330e3e"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ab3e8ca6b56bd90dac6770e8490330e3e">err_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5d8c8976f48a2e5d32050df7250d5bee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d8c8976f48a2e5d32050df7250d5bee"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a5d8c8976f48a2e5d32050df7250d5bee">s_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae0f552b5b953d0c603c7b2eb66bf8c03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0f552b5b953d0c603c7b2eb66bf8c03"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ae0f552b5b953d0c603c7b2eb66bf8c03">pkt_end</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aba07f32e047bfb52454f8d8b89496c77"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba07f32e047bfb52454f8d8b89496c77"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#aba07f32e047bfb52454f8d8b89496c77">cstb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abe34b33c3d1b7b2114a40f4e0c8be96d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe34b33c3d1b7b2114a40f4e0c8be96d"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#abe34b33c3d1b7b2114a40f4e0c8be96d">err_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aade70a15203f450b2b9cfae069be30c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aade70a15203f450b2b9cfae069be30c0"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#aade70a15203f450b2b9cfae069be30c0">csum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8fc4266d0c266a4fa73b1ca7fd2469ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8fc4266d0c266a4fa73b1ca7fd2469ae"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a8fc4266d0c266a4fa73b1ca7fd2469ae">vctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6badd86e9057d7724ded4f264ea1a659"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6badd86e9057d7724ded4f264ea1a659"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a6badd86e9057d7724ded4f264ea1a659">valid</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a308c4f194740afffcc09513c5567f3ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a308c4f194740afffcc09513c5567f3ed"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a308c4f194740afffcc09513c5567f3ed">first</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae5f1374a6e24d71d379079a576845383"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5f1374a6e24d71d379079a576845383"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ae5f1374a6e24d71d379079a576845383">issue</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af2ae343e93bfde1c8f1f06aff97f7026"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2ae343e93bfde1c8f1f06aff97f7026"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#af2ae343e93bfde1c8f1f06aff97f7026">pend</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac275bf02b1c1da2e425db6b0b32c33e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac275bf02b1c1da2e425db6b0b32c33e2"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#ac275bf02b1c1da2e425db6b0b32c33e2">pend_f</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a2ce08b932142c298cadee8c4eb43a8fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ce08b932142c298cadee8c4eb43a8fc"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a2ce08b932142c298cadee8c4eb43a8fc">cksum</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_cksum</b>  </td></tr>
<tr class="memitem:a2ce08b932142c298cadee8c4eb43a8fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ce08b932142c298cadee8c4eb43a8fc"></a>
<a class="el" href="classpdts__rx_1_1rtl.html#a2ce08b932142c298cadee8c4eb43a8fc">cksum</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_cksum</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__rx_8vhd_source.html#l00033">33</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__rx_8vhd_source.html">pdts_rx.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__rx_8vhd_source.html">pdts_rx.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__rx_8vhd_source.html">pdts_rx.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
